| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Signals | Public Member Functions | Static Public Member Functions | List of all members
Tp::BaseChannelSMSInterface Class Reference
Connection manager service implementation

Base class for implementations of Channel.Interface.SMS. More...

`#include <TelepathyQt/BaseChannel>`

Inherits Tp::AbstractChannelInterface.

## Public Types

typedef Callback2< void, const Tp::MessagePartList &, DBusError * > | GetSMSLengthCallback

## Signals

void | smsChannelChanged (bool smsChannel)
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)

## Public Member Functions

virtual | ~BaseChannelSMSInterface ()
QVariantMap | immutableProperties () const
void | setGetSMSLengthCallback (const GetSMSLengthCallback &cb)
bool | flash () const
bool | smsChannel () const
Public Member Functions inherited from Tp::AbstractChannelInterface
| AbstractChannelInterface (const QString &interfaceName)
virtual | ~AbstractChannelInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions

static BaseChannelSMSInterfacePtr | create (bool flash, bool smsChannel)
template<typename BaseChannelSMSInterfaceSubclass >
static SharedPtr < BaseChannelSMSInterfaceSubclass > | create (bool flash, bool smsChannel)

## Additional Inherited Members

Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Detailed Description

Base class for implementations of Channel.Interface.SMS.

## Member Typedef Documentation

typedef Callback2<void, const Tp::MessagePartList &, DBusError*> Tp::BaseChannelSMSInterface::GetSMSLengthCallback

## Constructor & Destructor Documentation

Tp::BaseChannelSMSInterface::~BaseChannelSMSInterface | ( |  | ) |

virtual

Class destructor.

## Member Function Documentation

static BaseChannelSMSInterfacePtr Tp::BaseChannelSMSInterface::create | ( | bool | flash,
|  | bool | smsChannel
| ) |  |

inline static

template<typename BaseChannelSMSInterfaceSubclass >

static SharedPtr<BaseChannelSMSInterfaceSubclass> Tp::BaseChannelSMSInterface::create | ( | bool | flash,
|  | bool | smsChannel
| ) |  |

inline static

QVariantMap Tp::BaseChannelSMSInterface::immutableProperties | ( |  | ) | const

virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

void Tp::BaseChannelSMSInterface::setGetSMSLengthCallback | ( | const GetSMSLengthCallback & | cb | ) |

bool Tp::BaseChannelSMSInterface::flash | ( |  | ) | const

bool Tp::BaseChannelSMSInterface::smsChannel | ( |  | ) | const

void Tp::BaseChannelSMSInterface::smsChannelChanged | ( | bool | smsChannel | ) |

signal